#!/usr/bin/env python
#
#   zfilenet/__init__.py
#   zfilenet
#
#   Copyright (C) 2008 Ross Light
#
#   This file is part of zfilenet.
#
#   zfilenet is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   zfilenet is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with zfilenet.  If not, see <http://www.gnu.org/licenses/>.
#

"""
The Zero-Configuration File Network

zfilenet is a project for being able to set up a simple, distributed
file-sharing system over a local network.  The primary goals of the project
are:

* Simplicity in design and usage
* Performance is important, unless it comes in conflict with the first goal

Blob servers are run on many computers to store raw data.  One (or a few)
computers run index servers, which maintain file structure and client handling.
All servers *discover* each other through Bonjour_.

.. _Bonjour: http://www.apple.com/macosx/technology/bonjour.html
"""

from __future__ import absolute_import

__author__ = 'Ross Light'
__date__ = 'June 13, 2008'
__version__ = '0.1.2'
__all__ = ['blobserver',
           'db',
           'discovery',
           'indexserver',
           'tests',
           'util',]

from . import blobserver
from . import db
from . import discovery
from . import indexserver
from . import tests
from . import util
